Page MenuHomePhabricator

Helvetica rendering issues on Windows XP
Closed, ResolvedPublic

Description

Screenshot of incorrect Helvetica rendering

Reported by -jem-, his screenshot.

See fields for platform details; source of Helvetica not yet known:
20.58 < StevenW> jem-: where did you get that copy of Helvetica?
20.58 < jem-> Hmmmmm
20.58 < jem-> Well, I can't remember now, it was several years ago


Version: 1.23.0
Severity: normal
OS: Windows XP
Platform: PC
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=63662

Attached:

Details

Reference
bz63720

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:09 AM
bzimport set Reference to bz63720.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Apr 9 2014, 9:28 AM
-jem- added a comment.Apr 9 2014, 9:55 AM

Created attachment 15064
Helvetica TTF file which produces the incorrect rendering

Hi, -jem- here. I'm attaching the font file; I was waiting to confirm that it isn't a corrupted or somehow wrong file. Thanks, Nemo. (By the way, I was very happy after installing Libertine Sans and during the time it was being used before the Helveticas).

attachment Helvetica.ttf ignored as private

$ md5sum Helvetica.ttf
374f9d95794a6dfcdf28514187ccba7d Helvetica.ttf

fontforge says "1.3 (Hewlett-Packard)" revision "39,0001"

Sorry for triple posting, now I'll go back to my business. ;-)

$ wget http://ftp.cs.stanford.edu/pub/Windows/HP/4550DN%20CD/FONTS/HELR45W.TTF ; md5sum HELR45W.TTF
a357d33ca0268421605017efd4a20b43 HELR45W.TTF

Some of the copies one finds around, while identical in size, have this different hash. The only difference I quickly see in fontforge, however, is a name somewhere.

You really shouldn't attach copyrighted font files in Bugzilla. Please delete the Helvetica TTF attachment.

The font in the screenshot doesn't look like helvetica to me. Additionally if this is an issue with a specific problematic font installed by an old driver its out of our control to fix. Recommend removing problem font. suggest marking bug as wontfix (can't fix)

Jared, that screenshot is indeed HP Helvetica; it really looks that bad. But I agree this is "can't fix".

-jem- added a comment.Apr 9 2014, 11:51 PM

(In reply to Erwin Dokter from comment #5)

You really shouldn't attach copyrighted font files in Bugzilla. Please
delete the Helvetica TTF attachment.

Sorry for that, I doubted about it but Nemo said it could be made private if necessary, which I guess is the status now (and it seems I can't delete it). So... I was right about my font being wrong; thanks anyway for having a look.

swalling wrote:

(In reply to -jem- from comment #8)

(In reply to Erwin Dokter from comment #5)

You really shouldn't attach copyrighted font files in Bugzilla. Please
delete the Helvetica TTF attachment.

Sorry for that, I doubted about it but Nemo said it could be made private if
necessary, which I guess is the status now (and it seems I can't delete it).
So... I was right about my font being wrong; thanks anyway for having a look.

Thanks for being patient while we figure it out.

Do we know if HP printers still provide this font, or is it only legacy printers?Is it all of them or some of them?

WONTFIX is not the appropriate resolution, of course we *want* fix this but the question is whether we can. INVALID seems excessive, "outside the power of MediaWiki development" is not so true (we could avoid Helvetica). Therefore if anything I consider this WORKSFORME, "acceptable workaround exists to achieve a similar outcome as requested".

So, we're currently saying users to delete the HP fonts.

FWIW there is a lot of stuff in ftp://ftp.hp.com/pub/printers/ which I also archived at https://archive.org/download/ftp-ftp.hp.com_pub-2013-10/printers.tar.lrz (40 GB).

swalling wrote:

(In reply to Nemo from comment #10)

WONTFIX is not the appropriate resolution, of course we *want* fix this but
the question is whether we can. INVALID seems excessive, "outside the power
of MediaWiki development" is not so true (we could avoid Helvetica).
Therefore if anything I consider this WORKSFORME, "acceptable workaround
exists to achieve a similar outcome as requested".
So, we're currently saying users to delete the HP fonts.
FWIW there is a lot of stuff in ftp://ftp.hp.com/pub/printers/ which I also
archived at
https://archive.org/download/ftp-ftp.hp.com_pub-2013-10/printers.tar.lrz (40
GB).

Thanks Nemo, that seems correct to me too.

saper added a comment.Apr 11 2014, 9:47 AM

I believe there are ways to address this, for example by not trying to force to use some particular font family.

The issue reported under the link given in comment 12 is caused most probably by the Helvetica font supplied by Lexmark for its printers.

Marcin,

Thank you for taking time to comment, your time is appreciated. While your suggestion is a practical one, in practice we don't tend to design or build engineering solutions for the lowest common denominator, we build best case scenarios and plan for graceful degradation based on many different factors. This sounds like one of those issues, where a small number of users are affected by this issue, it doesn't make sense to change the defaults for all users due to this specific issue.

swalling wrote:

This shouldn't be an issue anymore since the body stack is now "sans-serif"